DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Attributes | Static Private Attributes | List of all members
OFCRC32 Class Reference

general-purpose 32-bit CRC algorithm. More...

## Public Member Functions
| OFCRC32 ()
| constructor
| ~OFCRC32 ()
| destructor
void | reset ()
| reset object to initial state (zero CRC)
void | addBlock (const void *ptr, unsigned long size)
| add block of raw data to CRC
unsigned int | getCRC32 () const
| returns the current CRC as unsigned int

## Static Public Member Functions
static unsigned int | compute (const void *ptr, unsigned long size)
| compute CRC for given block of data using a temporary CRC object

## Private Attributes
unsigned int | value
| current CRC

## Static Private Attributes
static const unsigned int | crctab [256]
| CRC look-up table.

## Detailed Description

general-purpose 32-bit CRC algorithm.

## Member Function Documentation

## ◆ addBlock()

void OFCRC32::addBlock | ( | const void * | ptr,
|  | unsigned long | size )

add block of raw data to CRC

Parameters

  ptr | pointer to raw data
  size | length of raw data block in bytes

## ◆ compute()

static unsigned int OFCRC32::compute | ( | const void * | ptr,
|  | unsigned long | size )
| static

compute CRC for given block of data using a temporary CRC object

Parameters

  ptr | pointer to raw data
  size | length of raw data block in bytes

Returns
  CRC32 as unsigned int

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofcrc32.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2